<?php 
/* SVN FILE: $Id$ */
/* ProfileTableStatic Test cases generated on: 2010-03-17 11:36:04 : 1268793364*/
App::import('Model', 'ProfileTableStatic');

class ProfileTableStaticTestCase extends CakeTestCase {
	var $ProfileTableStatic = null;
	var $fixtures = array('app.profile_table_static', 'app.profile_table', 'app.characters_has_profile');

	function startTest() {
		$this->ProfileTableStatic =& ClassRegistry::init('ProfileTableStatic');
	}

	function testProfileTableStaticInstance() {
		$this->assertTrue(is_a($this->ProfileTableStatic, 'ProfileTableStatic'));
	}

	function testProfileTableStaticFind() {
		$this->ProfileTableStatic->recursive = -1;
		$results = $this->ProfileTableStatic->find('first');
		$this->assertTrue(!empty($results));

		$expected = array('ProfileTableStatic' => array(
			'id'  => 1,
			'profile_table_id'  => 1,
			'title'  => 'Lorem ipsum dolor sit amet',
			'sort_order'  => 1
		));
		$this->assertEqual($results, $expected);
	}
}
?>